import contextlib
import unittest
import io
import unittest.mock
from unittest import TextTestRunner

class MainTest(unittest.TestCase):

    def test_answer(self):
        self.assertEqual(accept_prob(-100, 100, 200), 1.0, "The algorithm should greedily select S_new if it is greater that S_old.")
        self.assertEqual(accept_prob(100, -100, 200), 0.36787944117144233, "Please check your probability calculation.")
        self.assertEqual(accept_prob(0, -100, 200), 0.6065306597126334, "Please check your probability calculation.")
        self.assertEqual(accept_prob(0, -100, 20), 0.006737946999085467, "Please check your probability calculation.")
        self.assertEqual(accept_prob(0, 0, 20), 1.0, "The algorithm should greedily select S_new if it is greater that S_old.")
        
test_suite = unittest.TestLoader().loadTestsFromTestCase(MainTest)
with io.StringIO() as buf:
    # run the tests
    with contextlib.redirect_stdout(buf):
        TextTestRunner(stream=buf).run(test_suite)
    # process (in this case: print) the results
    printTest(buf.getvalue())