import unittest, sys
import io
import unittest.mock

from tmc import points

from tmc.utils import load, get_out

main = load('src.main', 'accept_prob')

class MainTest(unittest.TestCase):
   
    @points('1-5')
    def test_answer(self):

        self.assertEqual(main(-100, 100, 200), 1.0, "The algorithm should greedily select S_new if it is greater that S_old.")
        self.assertEqual(main(100, -100, 200), 0.36787944117144233, "Please check your probability calculation.")
        self.assertEqual(main(0, -100, 200), 0.6065306597126334, "Please check your probability calculation.")
        self.assertEqual(main(0, -100, 20), 0.006737946999085467, "Please check your probability calculation.")
        self.assertEqual(main(0, 0, 20), 1.0, "The algorithm should greedily select S_new if it is greater that S_old.")

if __name__ == '__main__':
    unittest.main()
